import { ExtractPropTypes, PropType } from 'vue';
export type ComputedDay = {
    date: Date;
    timestamp: number;
    dateNumber: number;
    isHighlighted: boolean;
    isDisabled: boolean;
    isFaded: boolean;
};
export declare const calendarProps: {
    pageDate: {
        type: PropType<Date>;
        required: boolean;
    };
    days: {
        type: PropType<Array<ComputedDay>>;
        default: () => Array<ComputedDay>;
    };
    dayNames: {
        type: PropType<Array<string>>;
        default: () => Array<string>;
    };
    isPrevPageDisabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    isNextPageDisabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    language: {
        type: PropType<string>;
        default: string;
    };
};
export type CalendarProps = ExtractPropTypes<typeof calendarProps>;
export declare const calendarEmits: import('../../utils/helpers').InferRecord<{
    "select-disabled-date": (_d: Date) => boolean;
    "select-date": (_d: Date) => boolean;
    "on-prev-calendar": (_e: Event) => boolean;
    "on-next-calendar": (_e: Event) => boolean;
}>;
