import { Nullable } from '../../utils/helpers';
import { InitialDate } from '../../composables/useSelectedDates';
declare const _default: import('vue').DefineComponent<{
    language: {
        type: import('vue').PropType<string>;
        default: string;
    };
    disabledDates: {
        type: import('vue').PropType<import('../../composables/useCalendarDateUtil').DatesAvailabilityConfig>;
        validator: (value: import('../../composables/useCalendarDateUtil').DatesAvailabilityConfig | undefined | null) => boolean;
        default: () => Partial<{
            dates: Array<Date>;
            ranges: Array<import('../commonTypes').FromToRange<Date>>;
            custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
        } & import('../commonTypes').FromToRange<Date>>;
    };
    availableDates: {
        type: import('vue').PropType<import('../../composables/useCalendarDateUtil').DatesAvailabilityConfig>;
        validator: (value: import('../../composables/useCalendarDateUtil').DatesAvailabilityConfig | undefined | null) => boolean;
        default: () => Partial<{
            dates: Array<Date>;
            ranges: Array<import('../commonTypes').FromToRange<Date>>;
            custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
        } & import('../commonTypes').FromToRange<Date>>;
    };
    isMondayFirst: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    initialDates: {
        type: import('vue').PropType<InitialDate>;
        validator: (value: InitialDate | undefined | null) => boolean;
        default: () => InitialDate;
    };
    inline: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    showHelperButtons: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    helperButtons: {
        type: import('vue').PropType<Array<import('./types').HelperButtonShape>>;
        validator: (value: Array<import('./types').HelperButtonShape> | undefined | null) => boolean;
        default: () => Array<import('./types').HelperButtonShape>;
    };
    timeInput: {
        type: import('vue').PropType<import('./types').CalendarDialogInputTimeProps>;
        default: () => Partial<Pick<{
            inputClass?: unknown;
            readonly?: unknown;
            timestamp?: unknown;
            language?: unknown;
            step?: unknown;
        } & {
            language: string;
            timestamp: number;
            readonly: boolean;
            step: number;
        } & {
            inputClass?: import('../commonTypes').ClassValue;
        }, "inputClass" | "readonly" | "step">>;
    };
    dateInput: {
        type: import('vue').PropType<import('./types').CalendarDialogInputDateProps>;
        default: () => Partial<Pick<{
            inputClass?: unknown;
            timestamp?: unknown;
            format?: unknown;
            language?: unknown;
        } & {
            language: string;
            timestamp: number;
            format: string;
        } & {
            inputClass?: import('../commonTypes').ClassValue;
        }, "inputClass" | "format"> & {
            labelStarts: string;
            labelEnds: string;
        }>;
    };
    switchButtonLabel: {
        type: import('vue').PropType<string>;
        default: string;
    };
    switchButtonInitial: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    applyButtonLabel: {
        type: import('vue').PropType<string>;
        default: string;
    };
    resetButtonLabel: {
        type: import('vue').PropType<string>;
        default: string;
    };
}, {
    selectedStartDate: import('vue').Ref<{
        toString: () => string;
        toDateString: () => string;
        toTimeString: () => string;
        toLocaleString: {
            (): string;
            (locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;
        };
        toLocaleDateString: {
            (): string;
            (locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;
        };
        toLocaleTimeString: {
            (): string;
            (locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;
        };
        valueOf: () => number;
        getTime: () => number;
        getFullYear: () => number;
        getUTCFullYear: () => number;
        getMonth: () => number;
        getUTCMonth: () => number;
        getDate: () => number;
        getUTCDate: () => number;
        getDay: () => number;
        getUTCDay: () => number;
        getHours: () => number;
        getUTCHours: () => number;
        getMinutes: () => number;
        getUTCMinutes: () => number;
        getSeconds: () => number;
        getUTCSeconds: () => number;
        getMilliseconds: () => number;
        getUTCMilliseconds: () => number;
        getTimezoneOffset: () => number;
        setTime: (time: number) => number;
        setMilliseconds: (ms: number) => number;
        setUTCMilliseconds: (ms: number) => number;
        setSeconds: (sec: number, ms?: number) => number;
        setUTCSeconds: (sec: number, ms?: number) => number;
        setMinutes: (min: number, sec?: number, ms?: number) => number;
        setUTCMinutes: (min: number, sec?: number, ms?: number) => number;
        setHours: (hours: number, min?: number, sec?: number, ms?: number) => number;
        setUTCHours: (hours: number, min?: number, sec?: number, ms?: number) => number;
        setDate: (date: number) => number;
        setUTCDate: (date: number) => number;
        setMonth: (month: number, date?: number) => number;
        setUTCMonth: (month: number, date?: number) => number;
        setFullYear: (year: number, month?: number, date?: number) => number;
        setUTCFullYear: (year: number, month?: number, date?: number) => number;
        toUTCString: () => string;
        toISOString: () => string;
        toJSON: (key?: any) => string;
        [Symbol.toPrimitive]: {
            (hint: "default"): string;
            (hint: "string"): string;
            (hint: "number"): number;
            (hint: string): string | number;
        };
    } | null>;
    selectedEndDate: import('vue').Ref<{
        toString: () => string;
        toDateString: () => string;
        toTimeString: () => string;
        toLocaleString: {
            (): string;
            (locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;
        };
        toLocaleDateString: {
            (): string;
            (locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;
        };
        toLocaleTimeString: {
            (): string;
            (locales?: string | string[], options?: Intl.DateTimeFormatOptions): string;
            (locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions): string;
        };
        valueOf: () => number;
        getTime: () => number;
        getFullYear: () => number;
        getUTCFullYear: () => number;
        getMonth: () => number;
        getUTCMonth: () => number;
        getDate: () => number;
        getUTCDate: () => number;
        getDay: () => number;
        getUTCDay: () => number;
        getHours: () => number;
        getUTCHours: () => number;
        getMinutes: () => number;
        getUTCMinutes: () => number;
        getSeconds: () => number;
        getUTCSeconds: () => number;
        getMilliseconds: () => number;
        getUTCMilliseconds: () => number;
        getTimezoneOffset: () => number;
        setTime: (time: number) => number;
        setMilliseconds: (ms: number) => number;
        setUTCMilliseconds: (ms: number) => number;
        setSeconds: (sec: number, ms?: number) => number;
        setUTCSeconds: (sec: number, ms?: number) => number;
        setMinutes: (min: number, sec?: number, ms?: number) => number;
        setUTCMinutes: (min: number, sec?: number, ms?: number) => number;
        setHours: (hours: number, min?: number, sec?: number, ms?: number) => number;
        setUTCHours: (hours: number, min?: number, sec?: number, ms?: number) => number;
        setDate: (date: number) => number;
        setUTCDate: (date: number) => number;
        setMonth: (month: number, date?: number) => number;
        setUTCMonth: (month: number, date?: number) => number;
        setFullYear: (year: number, month?: number, date?: number) => number;
        setUTCFullYear: (year: number, month?: number, date?: number) => number;
        toUTCString: () => string;
        toISOString: () => string;
        toJSON: (key?: any) => string;
        [Symbol.toPrimitive]: {
            (hint: "default"): string;
            (hint: "string"): string;
            (hint: "number"): number;
            (hint: string): string | number;
        };
    } | null>;
    isAllDayChecked: import('vue').ComputedRef<boolean>;
    dayNames: import('vue').ComputedRef<string[]>;
    days: import('vue').ComputedRef<import('../../composables/useCalendarDateUtil').Day[]>;
    isPrevPageDisabled: import('vue').ComputedRef<boolean>;
    isNextPageDisabled: import('vue').ComputedRef<boolean>;
    setDates: (startDate: Nullable<Date>, endDate: Nullable<Date>) => {
        startDate: Nullable<Date>;
        endDate: Nullable<Date>;
    };
    selectDate: (date: Date) => void;
    nextPage: () => boolean;
    prevPage: () => boolean;
    getDefaultHelpers: () => {
        name: string;
        from: Date;
        to: Date;
    }[];
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "select-disabled-date": (_date: Date) => void;
    "select-date": (_startDate: Nullable<Date>, _endDate: Nullable<Date>) => void;
    "on-prev-calendar": (_e: Event) => void;
    "on-next-calendar": (_e: Event) => void;
    "on-apply": (_startDate: Date, _endDate: Date) => void;
    "on-reset": (_e: Event) => void;
}, string, import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, Readonly<{
    language?: unknown;
    disabledDates?: unknown;
    availableDates?: unknown;
    isMondayFirst?: unknown;
    initialDates?: unknown;
    inline?: unknown;
    showHelperButtons?: unknown;
    helperButtons?: unknown;
    timeInput?: unknown;
    dateInput?: unknown;
    switchButtonLabel?: unknown;
    switchButtonInitial?: unknown;
    applyButtonLabel?: unknown;
    resetButtonLabel?: unknown;
} & {
    language: string;
    isMondayFirst: boolean;
    disabledDates: Partial<{
        dates: Array<Date>;
        ranges: Array<import('../commonTypes').FromToRange<Date>>;
        custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
    } & import('../commonTypes').FromToRange<Date>>;
    availableDates: Partial<{
        dates: Array<Date>;
        ranges: Array<import('../commonTypes').FromToRange<Date>>;
        custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
    } & import('../commonTypes').FromToRange<Date>>;
    initialDates: InitialDate;
    inline: boolean;
    showHelperButtons: boolean;
    helperButtons: Readonly<{
        name: string;
    } & import('../commonTypes').FromToRange<Date>>[];
    timeInput: Partial<Pick<{
        inputClass?: unknown;
        readonly?: unknown;
        timestamp?: unknown;
        language?: unknown;
        step?: unknown;
    } & {
        language: string;
        timestamp: number;
        readonly: boolean;
        step: number;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
    }, "inputClass" | "readonly" | "step">>;
    dateInput: Partial<Pick<{
        inputClass?: unknown;
        timestamp?: unknown;
        format?: unknown;
        language?: unknown;
    } & {
        language: string;
        timestamp: number;
        format: string;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
    }, "inputClass" | "format"> & {
        labelStarts: string;
        labelEnds: string;
    }>;
    switchButtonLabel: string;
    switchButtonInitial: boolean;
    applyButtonLabel: string;
    resetButtonLabel: string;
} & {}> & {
    "onSelect-disabled-date"?: ((_date: Date) => any) | undefined;
    "onSelect-date"?: ((_startDate: Nullable<Date>, _endDate: Nullable<Date>) => any) | undefined;
    "onOn-prev-calendar"?: ((_e: Event) => any) | undefined;
    "onOn-next-calendar"?: ((_e: Event) => any) | undefined;
    "onOn-apply"?: ((_startDate: Date, _endDate: Date) => any) | undefined;
    "onOn-reset"?: ((_e: Event) => any) | undefined;
}, {
    language: string;
    isMondayFirst: boolean;
    disabledDates: Partial<{
        dates: Array<Date>;
        ranges: Array<import('../commonTypes').FromToRange<Date>>;
        custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
    } & import('../commonTypes').FromToRange<Date>>;
    availableDates: Partial<{
        dates: Array<Date>;
        ranges: Array<import('../commonTypes').FromToRange<Date>>;
        custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
    } & import('../commonTypes').FromToRange<Date>>;
    initialDates: InitialDate;
    inline: boolean;
    showHelperButtons: boolean;
    helperButtons: Readonly<{
        name: string;
    } & import('../commonTypes').FromToRange<Date>>[];
    timeInput: Partial<Pick<{
        inputClass?: unknown;
        readonly?: unknown;
        timestamp?: unknown;
        language?: unknown;
        step?: unknown;
    } & {
        language: string;
        timestamp: number;
        readonly: boolean;
        step: number;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
    }, "inputClass" | "readonly" | "step">>;
    dateInput: Partial<Pick<{
        inputClass?: unknown;
        timestamp?: unknown;
        format?: unknown;
        language?: unknown;
    } & {
        language: string;
        timestamp: number;
        format: string;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
    }, "inputClass" | "format"> & {
        labelStarts: string;
        labelEnds: string;
    }>;
    switchButtonLabel: string;
    switchButtonInitial: boolean;
    applyButtonLabel: string;
    resetButtonLabel: string;
}>;
export default _default;
