import { ClassValue, FromToRange } from '../commonTypes';
import { Nullable } from '../../utils/helpers';
import { ExtractPropTypes, PropType } from 'vue';
export type SameDateFormatConfig = FromToRange<string>;
export declare const dateInputProps: {
    inputClass: PropType<ClassValue>;
    refName: PropType<string>;
    name: PropType<string>;
    type: PropType<string>;
    placeholder: PropType<string>;
    id: PropType<string>;
    required: PropType<boolean>;
    format: {
        type: PropType<string>;
        default: string;
    };
    sameDateFormat: {
        type: PropType<SameDateFormatConfig>;
        validator: (value: SameDateFormatConfig | undefined | null) => boolean;
        default: () => SameDateFormatConfig;
    };
    language: {
        type: PropType<string>;
        default: string;
    };
    selectedStartDate: PropType<Nullable<Date>>;
    selectedEndDate: PropType<Nullable<Date>>;
};
export type DateInputProps = ExtractPropTypes<typeof dateInputProps>;
export declare const dateInputEmits: import('../../utils/helpers').InferRecord<{
    click: (_e: Event) => boolean;
}>;
export type DateInputEmits = typeof dateInputEmits;
