declare const _default: import('vue').DefineComponent<{
    modelValue: {
        type: import('vue').PropType<import('./types').DatePickerModelValue>;
        default: () => null;
    };
    initialDates: {
        type: import('vue').PropType<import('../..').InitialDate>;
        validator: (value: import('../..').InitialDate | undefined | null) => boolean;
        default: () => import('../..').InitialDate;
    };
    inline: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    language: {
        type: import('vue').PropType<string>;
        default: string;
    };
    format: {
        type: import('vue').PropType<string>;
        default: string;
    };
    sameDateFormat: {
        type: import('vue').PropType<import('../..').SameDateFormatConfig>;
        validator: (value: import('../..').SameDateFormatConfig | undefined | null) => boolean;
        default: () => import('../..').SameDateFormatConfig;
    };
    dateInput: {
        type: import('vue').PropType<import('./types').DatePickerDateInputProps>;
        default: () => Partial<Pick<{
            inputClass?: unknown;
            refName?: unknown;
            name?: unknown;
            type?: unknown;
            placeholder?: unknown;
            id?: unknown;
            required?: unknown;
            format?: unknown;
            sameDateFormat?: unknown;
            language?: unknown;
            selectedStartDate?: unknown;
            selectedEndDate?: unknown;
        } & {
            language: string;
            format: string;
            sameDateFormat: import('../..').SameDateFormatConfig;
        } & {
            inputClass?: import('../commonTypes').ClassValue;
            type?: string | undefined;
            required?: boolean | undefined;
            name?: string | undefined;
            refName?: string | undefined;
            placeholder?: string | undefined;
            id?: string | undefined;
            selectedStartDate?: import('../../utils/helpers').Nullable<Date> | undefined;
            selectedEndDate?: import('../../utils/helpers').Nullable<Date> | undefined;
        }, "inputClass" | "required" | "name" | "refName" | "placeholder" | "id">>;
    };
    disabledDates: {
        type: import('vue').PropType<import('../..').DatesAvailabilityConfig>;
        validator: (value: import('../..').DatesAvailabilityConfig | undefined | null) => boolean;
        default: () => Partial<{
            dates: Array<Date>;
            ranges: Array<import('../commonTypes').FromToRange<Date>>;
            custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
        } & import('../commonTypes').FromToRange<Date>>;
    };
    availableDates: {
        type: import('vue').PropType<import('../..').DatesAvailabilityConfig>;
        validator: (value: import('../..').DatesAvailabilityConfig | undefined | null) => boolean;
        default: () => Partial<{
            dates: Array<Date>;
            ranges: Array<import('../commonTypes').FromToRange<Date>>;
            custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
        } & import('../commonTypes').FromToRange<Date>>;
    };
    showHelperButtons: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    helperButtons: {
        type: import('vue').PropType<Array<import('../CalendarDialog/types').HelperButtonShape>>;
        validator: (value: Array<import('../CalendarDialog/types').HelperButtonShape> | undefined | null) => boolean;
        default: () => Array<import('../CalendarDialog/types').HelperButtonShape>;
    };
    calendarDateInput: {
        type: import('vue').PropType<import('../CalendarDialog/types').CalendarDialogInputDateProps>;
        default: () => Partial<Pick<{
            inputClass?: unknown;
            timestamp?: unknown;
            format?: unknown;
            language?: unknown;
        } & {
            language: string;
            timestamp: number;
            format: string;
        } & {
            inputClass?: import('../commonTypes').ClassValue;
        }, "inputClass" | "format"> & {
            labelStarts: string;
            labelEnds: string;
        }>;
    };
    calendarTimeInput: {
        type: import('vue').PropType<import('../CalendarDialog/types').CalendarDialogInputTimeProps>;
        default: () => Partial<Pick<{
            inputClass?: unknown;
            readonly?: unknown;
            timestamp?: unknown;
            language?: unknown;
            step?: unknown;
        } & {
            language: string;
            timestamp: number;
            readonly: boolean;
            step: number;
        } & {
            inputClass?: import('../commonTypes').ClassValue;
        }, "inputClass" | "readonly" | "step">>;
    };
    switchButtonLabel: {
        type: import('vue').PropType<string>;
        default: string;
    };
    switchButtonInitial: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
    applyButtonLabel: {
        type: import('vue').PropType<string>;
        default: string;
    };
    resetButtonLabel: {
        type: import('vue').PropType<string>;
        default: string;
    };
    isMondayFirst: {
        type: import('vue').PropType<boolean>;
        default: boolean;
    };
}, {
    showCalendarDialog: import('vue').Ref<boolean>;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "select-disabled-date": (_date: Date) => void;
    "select-date": (_startDate: import('../../utils/helpers').Nullable<Date>, _endDate: import('../../utils/helpers').Nullable<Date>) => void;
    "on-prev-calendar": (_e: Event) => void;
    "on-next-calendar": (_e: Event) => void;
    "on-reset": (_e: Event) => void;
    "update:model-value": (_modelValue: import('./types').DatePickerModelValue) => void;
    "date-applied": (_startDate: Date, _endDate: Date) => void;
    "datepicker-opened": () => void;
    "datepicker-closed": () => void;
}, string, import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps, Readonly<{
    modelValue?: unknown;
    initialDates?: unknown;
    inline?: unknown;
    language?: unknown;
    format?: unknown;
    sameDateFormat?: unknown;
    dateInput?: unknown;
    disabledDates?: unknown;
    availableDates?: unknown;
    showHelperButtons?: unknown;
    helperButtons?: unknown;
    calendarDateInput?: unknown;
    calendarTimeInput?: unknown;
    switchButtonLabel?: unknown;
    switchButtonInitial?: unknown;
    applyButtonLabel?: unknown;
    resetButtonLabel?: unknown;
    isMondayFirst?: unknown;
} & {
    language: string;
    isMondayFirst: boolean;
    disabledDates: Partial<{
        dates: Array<Date>;
        ranges: Array<import('../commonTypes').FromToRange<Date>>;
        custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
    } & import('../commonTypes').FromToRange<Date>>;
    availableDates: Partial<{
        dates: Array<Date>;
        ranges: Array<import('../commonTypes').FromToRange<Date>>;
        custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
    } & import('../commonTypes').FromToRange<Date>>;
    initialDates: import('../..').InitialDate;
    format: string;
    inline: boolean;
    showHelperButtons: boolean;
    helperButtons: Readonly<{
        name: string;
    } & import('../commonTypes').FromToRange<Date>>[];
    dateInput: Partial<Pick<{
        inputClass?: unknown;
        refName?: unknown;
        name?: unknown;
        type?: unknown;
        placeholder?: unknown;
        id?: unknown;
        required?: unknown;
        format?: unknown;
        sameDateFormat?: unknown;
        language?: unknown;
        selectedStartDate?: unknown;
        selectedEndDate?: unknown;
    } & {
        language: string;
        format: string;
        sameDateFormat: import('../..').SameDateFormatConfig;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
        type?: string | undefined;
        required?: boolean | undefined;
        name?: string | undefined;
        refName?: string | undefined;
        placeholder?: string | undefined;
        id?: string | undefined;
        selectedStartDate?: import('../../utils/helpers').Nullable<Date> | undefined;
        selectedEndDate?: import('../../utils/helpers').Nullable<Date> | undefined;
    }, "inputClass" | "required" | "name" | "refName" | "placeholder" | "id">>;
    switchButtonLabel: string;
    switchButtonInitial: boolean;
    applyButtonLabel: string;
    resetButtonLabel: string;
    sameDateFormat: import('../..').SameDateFormatConfig;
    modelValue: import('./types').DatePickerModelValue;
    calendarDateInput: Partial<Pick<{
        inputClass?: unknown;
        timestamp?: unknown;
        format?: unknown;
        language?: unknown;
    } & {
        language: string;
        timestamp: number;
        format: string;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
    }, "inputClass" | "format"> & {
        labelStarts: string;
        labelEnds: string;
    }>;
    calendarTimeInput: Partial<Pick<{
        inputClass?: unknown;
        readonly?: unknown;
        timestamp?: unknown;
        language?: unknown;
        step?: unknown;
    } & {
        language: string;
        timestamp: number;
        readonly: boolean;
        step: number;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
    }, "inputClass" | "readonly" | "step">>;
} & {}> & {
    "onSelect-disabled-date"?: ((_date: Date) => any) | undefined;
    "onSelect-date"?: ((_startDate: import('../../utils/helpers').Nullable<Date>, _endDate: import('../../utils/helpers').Nullable<Date>) => any) | undefined;
    "onOn-prev-calendar"?: ((_e: Event) => any) | undefined;
    "onOn-next-calendar"?: ((_e: Event) => any) | undefined;
    "onOn-reset"?: ((_e: Event) => any) | undefined;
    "onUpdate:model-value"?: ((_modelValue: import('./types').DatePickerModelValue) => any) | undefined;
    "onDate-applied"?: ((_startDate: Date, _endDate: Date) => any) | undefined;
    "onDatepicker-opened"?: (() => any) | undefined;
    "onDatepicker-closed"?: (() => any) | undefined;
}, {
    language: string;
    isMondayFirst: boolean;
    disabledDates: Partial<{
        dates: Array<Date>;
        ranges: Array<import('../commonTypes').FromToRange<Date>>;
        custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
    } & import('../commonTypes').FromToRange<Date>>;
    availableDates: Partial<{
        dates: Array<Date>;
        ranges: Array<import('../commonTypes').FromToRange<Date>>;
        custom: import('../../composables/useCalendarDateUtil').DisableDateCheckFunction;
    } & import('../commonTypes').FromToRange<Date>>;
    initialDates: import('../..').InitialDate;
    format: string;
    inline: boolean;
    showHelperButtons: boolean;
    helperButtons: Readonly<{
        name: string;
    } & import('../commonTypes').FromToRange<Date>>[];
    dateInput: Partial<Pick<{
        inputClass?: unknown;
        refName?: unknown;
        name?: unknown;
        type?: unknown;
        placeholder?: unknown;
        id?: unknown;
        required?: unknown;
        format?: unknown;
        sameDateFormat?: unknown;
        language?: unknown;
        selectedStartDate?: unknown;
        selectedEndDate?: unknown;
    } & {
        language: string;
        format: string;
        sameDateFormat: import('../..').SameDateFormatConfig;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
        type?: string | undefined;
        required?: boolean | undefined;
        name?: string | undefined;
        refName?: string | undefined;
        placeholder?: string | undefined;
        id?: string | undefined;
        selectedStartDate?: import('../../utils/helpers').Nullable<Date> | undefined;
        selectedEndDate?: import('../../utils/helpers').Nullable<Date> | undefined;
    }, "inputClass" | "required" | "name" | "refName" | "placeholder" | "id">>;
    switchButtonLabel: string;
    switchButtonInitial: boolean;
    applyButtonLabel: string;
    resetButtonLabel: string;
    sameDateFormat: import('../..').SameDateFormatConfig;
    modelValue: import('./types').DatePickerModelValue;
    calendarDateInput: Partial<Pick<{
        inputClass?: unknown;
        timestamp?: unknown;
        format?: unknown;
        language?: unknown;
    } & {
        language: string;
        timestamp: number;
        format: string;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
    }, "inputClass" | "format"> & {
        labelStarts: string;
        labelEnds: string;
    }>;
    calendarTimeInput: Partial<Pick<{
        inputClass?: unknown;
        readonly?: unknown;
        timestamp?: unknown;
        language?: unknown;
        step?: unknown;
    } & {
        language: string;
        timestamp: number;
        readonly: boolean;
        step: number;
    } & {
        inputClass?: import('../commonTypes').ClassValue;
    }, "inputClass" | "readonly" | "step">>;
}>;
export default _default;
