import { default as moment } from 'moment';
export default class {
    private lang;
    private localMoment;
    constructor(lang?: string);
    createDate(...param: Parameters<typeof moment>): Date;
    now(): Date;
    getDayNames(): string[];
    /**
     * Get Abbreviated Day Names
     */
    getAbbrDayNames(): string[];
    getMonthNames(): string[];
    /**
     * Get Abbreviated Month Names
     */
    getAbbrMonthNames(): string[];
    formatDate(date: Date, format: string): string;
    /**
     * Check if date is the same on DD MM YYYY level
     * @param date1
     * @param date2
     * @returns
     */
    isSameDate(date1: Date, date2: Date): boolean;
    isAllDay(fromDate: Date, toDate: Date): boolean;
    isValidDate(date: any): date is Date;
    toUnix(date: Date): number;
    fromUnix(unixTimestamp: number): Date;
    startOf(date: Date, of: moment.unitOfTime.StartOf): Date;
    endOf(date: Date, of: moment.unitOfTime.StartOf): Date;
    /**
     * Check if date is the same as comparing date
     * @param date
     * @param comparingDate
     * @returns
     */
    isSame(date: Date, comparingDate: Date): boolean;
    /**
     * Check if date is before a beforeDate
     */
    isBefore(date: Date, beforeDate: Date): boolean;
    /**
     * Check if date is same or before a beforeDate
     */
    isSameOrBefore(date: Date, beforeDate: Date): boolean;
    /**
     * Check if date is after a afterDate
     */
    isAfter(date: Date, afterDate: Date): boolean;
    /**
     * Check if date is same or after a afterDate
     */
    isSameOrAfter(date: Date, afterDate: Date): boolean;
    /**
     * Check if a date is between fromDate and toDate
     */
    isBetween(date: Date, fromDate: Date, toDate: Date): boolean;
    /**
     * Check if a date is same or between as fromDate and toDate
     */
    isSameOrBetween(date: Date, fromDate: Date, toDate: Date): boolean;
    /**
     * Add number of timeKey to date
     */
    add(date: Date, number: moment.DurationInputArg1, timeKey: moment.DurationInputArg2): Date;
    /**
     * Subtract number of timeKey to date
     */
    subtract(date: Date, number: moment.DurationInputArg1, timeKey: moment.DurationInputArg2): Date;
    /**
     * Get Number of Day in A month from A Date
     */
    daysInMonth(date: Date): number;
    /**
     * Get Day 0 - 6 from A Date
     */
    day(date: Date): number;
    /**
     * Get Month 0 - 11 from A Date
     */
    month(date: Date): number;
    /**
     * Get Year from A Date
     */
    year(date: Date): number;
}
