import { ToRefs, UnwrapRef } from 'vue';
export type InferRecord<T extends object> = {
    [K in keyof T]: T[K];
};
export type UnwrapRefs<T extends ToRefs> = {
    [K in keyof T]: UnwrapRef<T[K]>;
};
export type Nullable<T> = T | null;
export type MappedRecord<Type extends object, Mapping extends Partial<Record<keyof Type, string>>> = {
    [Property in keyof Type as Property extends keyof Mapping ? Mapping[Property] extends string ? Mapping[Property] : Property : Property]: Type[Property];
};
/**
 * check if value is an instance of Date
 * @param value
 * @returns
 */
export declare const isObjectDate: (value: any) => value is Date;
/**
 * check if a literal object value's keys is empty
 * @param value
 * @returns
 */
export declare const isEmptyLiteralObject: <T extends object>(value: T) => boolean;
/**
 * exclude listed property from object
 * @param obj
 * @param exclude
 * @returns
 */
export declare const omit: <T extends object, U extends Extract<keyof T, string>>(obj: T, exclude: U[]) => Omit<T, U>;
export declare function isPlainObject(o: any): o is object;
